require "qiita_picks/version"
require "qiita_picks/generator"
require "qiita_picks/mailer"
require "qiita_picks/picker"

module QiitaPicks
  FILE_BASENAME_DEFAULT              = "%Y%m%d%H%M_qiita_picks"
  FILE_BASENAME_EMAIL_WEEKLY_POPULAR = "%Y%m%d_email_weekly_popular"
  FILE_BASENAME_EMAIL_WEEKLY_STOCKED = "%Y%m%d_email_weekly_stocked"
  FILE_BASENAME_LIST_TAG_ITEMS       = "%Y%m%d%H%M_list_tag_items"
  FILE_BASENAME_LIST_USER_ITEMS      = "%Y%m%d%H%M_list_user_items"
  FILE_BASENAME_LIST_USER_STOCKS     = "%Y%m%d%H%M_list_user_stocks"
  FILE_BASENAME_LIST_HATEBU_POPULAR  = "%Y%m%d%H%M_list_hatebu_popular"
  FILE_BASENAME_LIST_HATEBU_RECENT   = "%Y%m%d%H%M_list_hatebu_recent"

  EMAIL_SUBJECT_DEFAULT              = "[QiitaPicks] Qiitaの記事まとめ - %Y/%m/%d"
  EMAIL_SUBJECT_EMAIL_WEEKLY_POPULAR = "[QiitaPicks] Qiitaでストックが多かった投稿 - %Y/%m/%d 配信"
  EMAIL_SUBJECT_EMAIL_WEEKLY_STOCKED = "[QiitaPicks] <SUBJECT> - %Y/%m/%d 配信"
  EMAIL_SUBJECT_LIST_TAG_ITEMS       = "[QiitaPicks] <TAG>に関するQiitaの記事まとめ - %Y/%m/%d"
  EMAIL_SUBJECT_LIST_USER_ITEMS      = "[QiitaPicks] <USERNAME>に関するQiitaの記事まとめ - %Y/%m/%d"
  EMAIL_SUBJECT_LIST_USER_STOCKS     = "[QiitaPicks] <USERNAME>がストックしたQiitaの記事まとめ - %Y/%m/%d"
  EMAIL_SUBJECT_LIST_HATEBU_POPULAR  = "[QiitaPicks] はてブで人気のQiitaの記事まとめ - %Y/%m/%d"
  EMAIL_SUBJECT_LIST_HATEBU_RECENT   = "[QiitaPicks] はてブで新着のQiitaの記事まとめ - %Y/%m/%d"

  REPOSITORY_URL         = "https://github.com/henteco-labs/qiita_picks"
  REPOSITORY_URL_SHORTEN = "http://goo.gl/QUkuEY"
  FEEDBACK_URL_SHORTEN   = "http://goo.gl/forms/PGFggwhCu1"

  EMAIL_CONTENT_DEFAULT = <<-EOF
Generated by QiitaPicks version #{QiitaPicks::VERSION} on Ruby #{RUBY_VERSION}
GitHub: #{QiitaPicks::REPOSITORY_URL_SHORTEN}

Please send me your feedback:)
#{QiitaPicks::FEEDBACK_URL_SHORTEN}
EOF
  HTML_FOOTER_CREDIT = <<-EOF
<footer>
  <p>Generated by QiitaPicks version #{QiitaPicks::VERSION} on Ruby #{RUBY_VERSION}</p>
  <p>GitHub: <a href="#{QiitaPicks::REPOSITORY_URL_SHORTEN}">#{QiitaPicks::REPOSITORY_URL}</a></p>
  <p>Please send me your feedback:)</p>
  <p><a href="#{QiitaPicks::FEEDBACK_URL_SHORTEN}">#{QiitaPicks::FEEDBACK_URL_SHORTEN}</a></p>
</footer>
EOF

  def self.wkhtmltopdf_installed?
    /^\// =~ `which wkhtmltopdf`.to_s
  end
end
